/*************************************************************** 
	The GPDD Sensitivity Project (GPDD_Sens) 
 
	GPDD stands for "Graph-Pair Decision Diagram" 
 
Contributors: 
 
   CHEN, Weiwei			(MS 2007 graduate) 
   MENG, Xiaoxuan		(MS 2009 graduate) 
   ZENG, Mei			(MS 2010 graduate) 
   LI, Ji				(MS 2010 graduate) 
   MA, Diming			(MS 2011 graduate) 
 
   SHI, Guoyong 		(Prof)  shiguoyong@ic.sjtu.edu.cn 
 
   School of Microelectronics 
   Shanghai Jiao Tong University 
   (c) 2005 - 2010 
******************************************************************/ 


#ifndef UTILITY_H
#define UTILITY_H



//#include	"globals.h"

extern char *CopyStr(const char *str);
extern char *ToUpper(char *str);
extern char *ToLower(char *str);
extern char *NextField(char **str);
extern double    TransValue(const char *value);
extern double    RandVar(double lbound, double ubound);
extern void Sort(int*, double*, int);

//extern DeviceType WhichType(const char *keyword);

extern int ddd2coeff(int);
extern int coeff2ddd(int);


// Functions used for reordering symbols in GPDD.
extern int compare (const void * a, const void * b);
extern int compare_g (const void *a, const void *b);
extern int compare_l (const void *a, const void *b);


#endif //UTILITY_H

